package cscie160.hw3;
import cscie160.hw3.*;

/**
 * <p>
 * CSCIE160
 * <p>
 * Assignment 2: Elevator part 2
 * </p>
 * <p> Date Due: March 14, 2001 </p>
 * <p>
 * Passenger class: This class complements the elevator class and 
 * floor class for the
 * elevator project. This is done according to the specification on
 * homework 3.
 * </p>
 *
 * <p> By David Cheung </p>
 * 
 * @author David Cheung
 */
 public class Passenger extends Object
 {
 	/**
	  * Data members:
	  * <p> intCurrentFloor
	  * <p> This stores the current floor of the passenger.
	  */
	  private int intCurrentFloor;
	  
	/**
	  * intDestFloor
	  * <p> stores the destination floor for each passenger.
	  */
	  private int intDestFloor;
	  
	/**
	  * stateArrived
	  * <p> stores the state whether the passenger has
	  * arrived its destinated floor
	  *
	  */
	  private boolean stateArrived;
	  
	  private int intDefaultFloor=1;
	  
	  
//Methods:

	/**
	  * arrive()
	  */
	  public void arrive()
	  {
	  	 stateArrived = true;
	  }

	/** Accessors and Mutators:
	  */
	  
	/** 
	  * getCurrentFloor;
	  * <p> This returns the interger value of which the passenger
	  * is currently in.
	  * </p>
	  */
	  public int getCurrentFloor()
	  {
	     return intCurrentFloor;
	  }
	  
	/**
	  * getDestFloor;
	  * <p> This function returns the integer value for the
	  * destination for the passenger.
	  * </p>
	  */
	  public int getDestFloor()
	  {
	  		return intDestFloor;
	  }
 	
	/**
	  * setCurrentFloor;
	  * <p> This sets the currentfloor. The value takes in an integer for the floor.
	  *
	  * @param numFloor		sets the current floor number
	  */
	  public void setCurrFloor(int numFloor)
	  {
	  		intCurrentFloor=numFloor;
	  }
	  
	/**
	  * setDestFloor;
	  * <p> This sets the destination floor.
	  *
	  * @param numFloor 		sets the destination floor
	  */
	  public void setDestFloor(int numFloor)
	  {
	  		intDestFloor=numFloor;
	  }
	/** toString()
	  * <p>
	  * For Test purposes: Shows the passenger Current Floor and
	  * Destination Floor.
	  */
	  public String toString()
	  {
	  	 	return "(c:"+ intCurrentFloor  + 
			     ",D:"+ intDestFloor + ",A:" + stateArrived + ") ";
			 
	  }
	  

	/** 
	  * Constructors:
	  * <p>
	  * Passenger(int DestFloor), or Floor(int CurrentFloor, int DestFloor)
	  * <p>
	  * Assumes the current floor is 1 if only 1 integer value
	  * is passed. 
	  *
	  * @param 	DestFloor		the destination floor of the passenger
	  * @param 	CurrentFloor	the currentfloor of the passenger.
	  */
	  public Passenger(int numDestFloor)
	  {	
	  		intCurrentFloor = 1;
	  		intDestFloor=numDestFloor;
	  }
	  
	  public Passenger(int numCurrentfloor, int numDestFloor)
	  {
	  		intCurrentFloor = numCurrentfloor;
			intDestFloor = numDestFloor;
	  }
	  
	/**
	  * Main: Test purposes only.
	  */	  
	  	public static void main(String argv[])
		{
			Passenger a;
			a=new Passenger(8);
			System.out.println(a);
			Passenger b;
			b= new Passenger(3, 5);
			System.out.println(b);
			b.setCurrFloor(5);
			System.out.println(b);
		}

 }