package cscie160.hw3;
import cscie160.hw3.Floor;
import cscie160.hw3.Elevator;
import cscie160.hw3.ElevatorFullException;
import cscie160.hw3.Passenger;
import java.util.*;

/**
 * <p>
 * CSCIE160
 * <p>
 * Assignment 3: Elevator part 3
 * </p>
 * <p>
 * Building Class
 * <p>
 * The Building class will simulate the true envirnment of
 * the Elevator. The Purpose of this is to move main from
 * Elevator to building class and the array of floors created
 * separately from Elevator class.
 *
 * <p> By David Cheung </p>
 * 
 * @author David Cheung
 */
public class Building
{
	public Elevator theElevator;
	
	public Floor [] arrayOfFloors;
	
	public int numOfFloors=7;
	
	public Building()
	{
		arrayOfFloors = new Floor[numOfFloors+1];
		for(int i=0; i <= numOfFloors ; i++)
		{
			arrayOfFloors[i]= new Floor(i);
		}
		theElevator = new Elevator(arrayOfFloors);

	}
	
/**
 *	Starts the main part of the class, start
 * with adding passengers in the Elevator and then 
 * add a bunch of passengers on some floors. 
 * <p> 
 * Used a FOR loop
 * to do a 2 round trip sweep. Note: I used a FOR loop instead of 
 * WHILE loop because FOR loop allows me to look at
 * the data after the program ends. Whereas WHILE loop will 
 * generate a lot of unnecessary data.
 */

	public static void main(String argv[])
	{
		Building myBuilding=new Building();
		Elevator myEle;
		myEle = myBuilding.theElevator;
		ElevatorFullException efe = new ElevatorFullException();
		try{
		myEle.boardPassenger(new Passenger(2));
		myEle.boardPassenger(new Passenger(3));
		}
		catch(ElevatorFullException ele) {  };
      myBuilding.arrayOfFloors[2].loadPassengers(myEle,20);
      myBuilding.arrayOfFloors[5].loadPassengers(myEle,9);
		for(int i=0;i<37;i++)
		{
			myBuilding.theElevator.move();
		}

	}


}